//+------------------------------------------------------------------+
//|                                                        Delta.mq4 |
//|                           Copyright  2008, D500       ELR       |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, D500."
 
 
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_width1 1
 
#property indicator_color2 Aqua
#property indicator_width2 2
 
extern int PERIOD_Signal=13;
 
double Buffer1[];
double Buffer2[];
 
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
SetIndexBuffer(0,Buffer1);
SetIndexStyle(0,DRAW_HISTOGRAM);
SetIndexLabel(0," ");
 
SetIndexBuffer(1,Buffer2);
SetIndexStyle(1,DRAW_LINE);
SetIndexLabel(1," ");
 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int limit;
   //----
   limit=Bars-counted_bars;
  
   for(int i=0;i<limit;i++)
   {
    Buffer1[i]=((High[i]+Low[i])/2)-iMA(NULL,0,13,0,1,0,i);
   }
 
    for(i=0;i<limit;i++)
   {
   Buffer2[i]=iMAOnArray(Buffer1,Bars,PERIOD_Signal,0,MODE_SMA,i);
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+